Get Event Reserves
curl --request GET \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/events/{eventId}/financials/reserves \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/external/companies/{companyId}/events/{eventId}/financials/reserves"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/events/{eventId}/financials/reserves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"categoryId": "indemnity_invoice",
"reserves": 1000000,
"owed": 200000,
"paid": 500000,
"expectedTotal": 1500000
},
{
"categoryId": "alae_invoice",
"reserves": 100000,
"owed": 75000,
"paid": 0,
"expectedTotal": 200000
}
]Event Financials
Get Event Reserves
Returns reserve information for all transaction categories on an event.
Each category includes:
reserves: Current reserve amount (null if category doesn’t support reserves)owed: Total amount owedpaid: Total amount paidexpectedTotal: Expected total amount
All amounts are in cents.
Required permission: company.payment:read
GET
/
api
/
external
/
companies
/
{companyId}
/
events
/
{eventId}
/
financials
/
reserves
Get Event Reserves
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Event identifier
Response
Reserve information for all categories
Was this page helpful?
